Bug 971224 - Review Request: python-modargs - A CLI library that infers arguments from functions in a module
Review Request: python-modargs - A CLI library that infers arguments from fun...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 969594
  Show dependency treegraph
 
Reported: 2013-06-05 23:44 EDT by Praveen Kumar
Modified: 2013-07-19 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 09:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2013-06-05 23:44:35 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/python-modargs/python-modargs.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/python-modargs/python-modargs-1.7-1.fc18.src.rpm
Description: This project is a simple command line argument parser that tries to
do as much as it can dynamically so that you don't have to specify options and arguments with tons of code, and instead just write a couple of modules with specially formatted functions.  It does this with magic, by inspecting the modules you tell it to load and looking for the right functions.
Fedora Account System Username: kumarpraveen
Comment 1 Björn 'besser82' Esser 2013-06-06 11:48:44 EDT
I'll review this during next week.
Comment 2 Björn 'besser82' Esser 2013-06-07 08:38:03 EDT
warning: bogus date in %changelog: Wed Jun 06 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 1.7-1.20130606gitc69060

--> please fix (Wed Jun 05 2013 || Thu Jun 06 2013)

#####

INFO: No upstream for (Source0): python-modargs-1.7.20130606gitc69060.tar.xz

--> Why don't you use: https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz like provided on the page refered to by %{url} ???

#####

%global git_date 20130606
%global git_version c69060

# git clone https://github.com/html5lib/html5lib-python.git python-html5lib
# cd python-html5lib
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz

--> Can't find anything related to creating
    `python-modargs-1.7.20130606gitc69060.tar.xz` here.
    Even NOT the files shipped in your homebrew-tarball...
    What is this about?
Comment 3 Praveen Kumar 2013-06-11 08:49:56 EDT
(In reply to Björn Esser from comment #2)
> warning: bogus date in %changelog: Wed Jun 06 2013 Praveen Kumar
> <kumarpraveen.nitdgp@gmail.com> - 1.7-1.20130606gitc69060
> 
> --> please fix (Wed Jun 05 2013 || Thu Jun 06 2013)
Fixed
> 
> #####
> 
> INFO: No upstream for (Source0): python-modargs-1.7.20130606gitc69060.tar.xz
> 
> --> Why don't you use:
> https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
> like provided on the page refered to by %{url} ???
> 
> #####
Because pypi don't have update source, I asked author to update but he prefer to use Gitorious only.
> 
> %global git_date 20130606
> %global git_version c69060
> 
> # git clone https://github.com/html5lib/html5lib-python.git python-html5lib
> # cd python-html5lib
> # git archive --format=tar HEAD | xz  >
> {name}-{version}.{git_date}git{git_version}.tar.xz
> 
> --> Can't find anything related to creating
>     `python-modargs-1.7.20130606gitc69060.tar.xz` here.
>     Even NOT the files shipped in your homebrew-tarball...
>     What is this about?
Fixed.
Comment 4 Björn 'besser82' Esser 2013-06-11 13:38:42 EDT
Packe is fine, but one issue to be fixed in SCM:

  * Spec actually has Release: 1%{?dist}
    ---> should be Release: 1.%{git_date}git%{git_version}%{?dist}
  * no other issues

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 6 files have unknown license. Detailed output of
     licensecheck in /home/bjoern.esser/fedora/review/971224-python-
     modargs/licensecheck.txt

     ---> License-tag is legit

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

     ---> Source0 is legit.
          It can be randomly recreated by using comments in spec

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-modargs-1.7-1.fc20.noarch.rpm
python-modargs.noarch: W: incoherent-version-in-changelog 1.7-1.20130606gitc69060 ['1.7-1.fc20', '1.7-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-modargs
python-modargs.noarch: W: incoherent-version-in-changelog 1.7-1.20130606gitc69060 ['1.7-1.fc20', '1.7-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

---> Spec should have Release: 1..%{git_date}git%{git_version}%{?dist}



Requires
--------
python-modargs (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-modargs:
    python-modargs



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -L /home/bjoern.esser/fedora/review/rpm/ -m fedora-rawhide-x86_64 -b 971224

#####

APPROVED!
Comment 5 Praveen Kumar 2013-06-11 22:29:42 EDT
New Package SCM Request
=======================
Package Name: python-modargs
Short Description: A CLI library that infers arguments from functions in a module
Owners: kumarpraveen
Branches: f18 f19
Comment 6 Gwyn Ciesla 2013-06-12 08:24:51 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-13 21:48:41 EDT
python-modargs-1.7-1.20130606gitc69060.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-modargs-1.7-1.20130606gitc69060.fc18
Comment 8 Fedora Update System 2013-06-13 21:51:03 EDT
python-modargs-1.7-1.20130606gitc69060.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-modargs-1.7-1.20130606gitc69060.fc19
Comment 9 Fedora Update System 2013-06-14 19:14:46 EDT
python-modargs-1.7-1.20130606gitc69060.fc19 has been pushed to the Fedora 19 testing repository.

Note You need to log in before you can comment on or make changes to this bug.